Subject: Re: Setup 2.243 - Crash isolated
From: Pavel Tsekov <[email-masked]>
To: "Max Bowsher" <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 May 2002 18:46:14 +0200

Hello Max,

Friday, May 24, 2002, 5:36:38 PM, you wrote:

Do you know a way of how to reproduce this ? I'll try it later
today when I'm at home.

MB> I have isolated the crash I was getting. It was similar to what Pavel suggested,
MB> but in a different place.

MB> It is caused by rfc1738_do_escape calling strlen(url) when url is NULL.

MB> Here is a stack trace:

MB> #0  rfc1738_do_escape (url=0x0, encode_reserved=1) at ../rfc1738.cc:82
MB> #1  0x004340ac in rfc1738_escape_part (url=@0x125a238) at ../rfc1738.cc:195
MB> #2  0x0040c5cf in check_for_cached (pkgsource=@0x11d8ed8) at ../download.cc:91
MB> #3  0x004043c6 in scan_downloaded_files () at ../choose.cc:471
MB> #4  0x004045d1 in ChooserPage::OnInit (this=0x23fb60) at ../choose.cc:517

MB> A kludge in rfc1738_do_escape avoids the crash, and allows setup to continue.

MB> I will need to study setup some more before I can track this down to its root
MB> cause.

MB> Max.

MB> --
MB> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
MB> Bug reporting:         http://cygwin.com/bugs.html
MB> Documentation:         http://cygwin.com/docs.html
MB> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/